Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ClassDomain

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SchemaObject

                        |

                        +--oracle.ifs.beans.TieSchemaObject

                              |

                              +--oracle.ifs.beans.ClassDomain

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieClassDomain

public class ClassDomain
extends TieSchemaObject

A ClassDomain describes a validation that can be applied to an object-type Attribute to ensure that LibraryObjects' values for that Attribute are instances of specified ClassObjects.

Field Summary
`static java.lang.String` | `CLASS_NAME` Class name for this class.
`static int` | `CLASSDOMAINTYPE_ENUMERATED` The ClassDomain consists of the ClassObjects specified with `setClasses`.
`static int` | `CLASSDOMAINTYPE_ENUMERATED_AND_SUBCLASSES` The ClassDomain consists of the ClassObjects specified with `setClasses`, and their subclasses.
`static java.lang.String` | `CLASSES_ATTRIBUTE` The ClassObjects in this ClassDomain.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` A textual description of this ClassDomain.
`static java.lang.String` | `DOMAINTYPE_ATTRIBUTE` An indicator whether the specific class or the class and its subclasses should be applied as the domain.
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` A system-set attribute used to ensure each ClassDomain has an unique name.

Fields inherited from class oracle.ifs.beans.SchemaObject
`ACTIVE_ATTRIBUTE, NAME_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Method Summary
`static java.lang.String` | `classDomainTypeName(int domainType, Localizer localizer)` Deprecated. use toValueDomainTypeLabel()
`static java.lang.String` | `classDomainTypeResourceBundleKey(int domainType)` Gets resource bundle key for the specified ClassDomain type.
`ClassObject[]` | `getClasses()` Gets the classes in this ClassDomain.
`ClassObject` | `getClasses(int index)` Gets the specified class in this ClassDomain.
`java.lang.String` | `getDescription()` Gets the description of this ClassDomain.
`int` | `getDomainType()` Gets the domain type of this ClassDomain.
`java.lang.String` | `getDomainTypeLabel()` Gets the localized String label for the DomainType set for this instance.
`void` | `setClasses(ClassObject[] cos)` Sets the classes in this ClassDomain.
`void` | `setDescription(java.lang.String description)` Sets the description of this ClassDomain.
`void` | `setDomainType(int domainType)` Sets the domain type of this ClassDomain.
`static java.lang.String` | `toDomainTypeLabel(int domainType)` Converts the specified DomainType constant to a localized label.
`static java.lang.String` | `toDomainTypeLabel(int domainType, LibrarySession session)` Converts the specified DomainType constant to a localized label, using the Localizer from the specified LibrarySession.
`static java.lang.String` | `toDomainTypeLabel(int domainType, Localizer localizer)` Converts the specified DomainType constant to a localized label, using the specified Localizer.

Methods inherited from class oracle.ifs.beans.SchemaObject
`getPolicyBundle, getPropertyBundle, hasNameAttribute, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Class name for this class. Useful for methods that take a class name argument.

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  A textual description of this ClassDomain.

### DOMAINTYPE_ATTRIBUTE

    public static final java.lang.String DOMAINTYPE_ATTRIBUTE

  An indicator whether the specific class or the class and its subclasses should be applied as the domain.

### CLASSES_ATTRIBUTE

    public static final java.lang.String CLASSES_ATTRIBUTE

  The ClassObjects in this ClassDomain.

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  A system-set attribute used to ensure each ClassDomain has an unique name.

### CLASSDOMAINTYPE_ENUMERATED

    public static final int CLASSDOMAINTYPE_ENUMERATED

  The ClassDomain consists of the ClassObjects specified with `setClasses`.

### CLASSDOMAINTYPE_ENUMERATED_AND_SUBCLASSES

    public static final int CLASSDOMAINTYPE_ENUMERATED_AND_SUBCLASSES

  The ClassDomain consists of the ClassObjects specified with `setClasses`, and their subclasses.

Method Detail

### setDescription

    public final void setDescription(java.lang.String description)
                              throws IfsException

  Sets the description of this ClassDomain.
  Parameters:
    `description` - the description
  Throws:
    `IfsException` - if the operation fails

### getDescription

    public final java.lang.String getDescription()
                                          throws IfsException

  Gets the description of this ClassDomain.
  Returns:
    the description
  Throws:
    `IfsException` - if the operation fails

### setDomainType

    public final void setDomainType(int domainType)
                             throws IfsException

  Sets the domain type of this ClassDomain.
  Parameters:
    `domainType` - the domain type; must be either `CLASSDOMAINTYPE_ENUMERATED` or `CLASSDOMAINTYPE_ENUMERATED_AND_SUBCLASSES`
  Throws:
    `IfsException` - if the operation fails

### getDomainType

    public final int getDomainType()
                            throws IfsException

  Gets the domain type of this ClassDomain.
  Returns:
    the domain type
  Throws:
    `IfsException` - if the operation fails

### setClasses

    public final void setClasses(ClassObject[] cos)
                          throws IfsException

  Sets the classes in this ClassDomain.
  Parameters:
    `cos` - the classes
  Throws:
    `IfsException` - if the operation fails

### getClasses

    public final ClassObject[] getClasses()
                                   throws IfsException

  Gets the classes in this ClassDomain.
  Returns:
    the classes
  Throws:
    `IfsException` - if the operation fails

### getClasses

    public final ClassObject getClasses(int index)
                                 throws IfsException

  Gets the specified class in this ClassDomain.
  Parameters:
    `index` - the zero-based index
  Returns:
    the class
  Throws:
    `IfsException` - if the operation fails

### classDomainTypeResourceBundleKey

    public static final java.lang.String classDomainTypeResourceBundleKey(int domainType)
                                                                   throws IfsException

  Gets resource bundle key for the specified ClassDomain type.

  Call `LibrarySession.getResourceString` with the returned value to get a localized name for the specified ClassDomain type.

  Parameters:
    `domainType` - the ClassDomain type
  Returns:
    the resource bundle key
  Throws:
    `IfsException` - (IFS-31200) if domainType is invalid

### classDomainTypeName

    public static final java.lang.String classDomainTypeName(int domainType,
                                                             Localizer localizer)
                                                      throws IfsException

  Deprecated. use toValueDomainTypeLabel()

  Gets the localized name of the specified ClassDomain type.
  Parameters:
    `domainType` - the ClassDomain type
    `localizer` - the Localizer to use
  Returns:
    the localized name
  Throws:
    `IfsException` - if operation fails

### getDomainTypeLabel

    public java.lang.String getDomainTypeLabel()
                                        throws IfsException

  Gets the localized String label for the DomainType set for this instance.
  Returns:
    the label corresponding to the DomainType
  Throws:
    `IfsException` - if operation fails.

### toDomainTypeLabel

    public static java.lang.String toDomainTypeLabel(int domainType)
                                              throws IfsException

  Converts the specified DomainType constant to a localized label. The default Localizer is used.
  Parameters:
    `domainType` - the DomainType constant.
  Returns:
    the label corresponding to the specified DomainType constant.
  Throws:
    `IfsException` - if operation fails.

### toDomainTypeLabel

    public static java.lang.String toDomainTypeLabel(int domainType,
                                                     LibrarySession session)
                                              throws IfsException

  Converts the specified DomainType constant to a localized label, using the Localizer from the specified LibrarySession.
  Parameters:
    `domainType` - the DomainType constant
    `session` - the LibrarySession, whose current Localizer will be used for the conversion
  Returns:
    the label corresponding to the specified DomainType constant
  Throws:
    `IfsException` - if operation fails.

### toDomainTypeLabel

    public static java.lang.String toDomainTypeLabel(int domainType,
                                                     Localizer localizer)
                                              throws IfsException

  Converts the specified DomainType constant to a localized label, using the specified Localizer. If a null is specified for the Localizer, a temporary Localizer (constructed based on the default Locale) is used for the conversion.
  Parameters:
    `domainType` - the DomainType constant.
    `localizer` - the Localizer that performs the conversion
  Returns:
    the label corresponding to the specified DomainType constant.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD